#include <bits/stdc++.h>
#include <iostream>
#include <iomanip>
using namespace std;
int a,b;
int d[1000000];
int main (){
cin >> a;
for (int i=1;i<=a;i++){

cout << "-1" << endl;

    }










return 0;
}